# Uses of Class
javax.crypto.Cipher

Packages that use Cipher
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

- ## Uses of Cipher in javax.crypto

  Subclasses of Cipher in javax.crypto
  Modifier and Type
  Class
  Description
  `class`
  `NullCipher`
  The `NullCipher` class is a class that provides an "identity cipher" -- one that does not transform the plain text.
  Methods in javax.crypto that return Cipher
  Modifier and Type
  Method
  Description
  `static final Cipher`
  Cipher.`getInstance(String transformation)`
  Returns a `Cipher` object that implements the specified transformation.
  `static final Cipher`
  Cipher.`getInstance(String transformation, String provider)`
  Returns a `Cipher` object that implements the specified transformation.
  `static final Cipher`
  Cipher.`getInstance(String transformation, Provider provider)`
  Returns a `Cipher` object that implements the specified transformation.
  Methods in javax.crypto with parameters of type Cipher
  Modifier and Type
  Method
  Description
  `PKCS8EncodedKeySpec`
  EncryptedPrivateKeyInfo.`getKeySpec(Cipher cipher)`
  Extract the enclosed PKCS8EncodedKeySpec object from the encrypted data and return it.
  `final Object`
  SealedObject.`getObject(Cipher c)`
  Retrieves the original (encapsulated) object.
  Constructors in javax.crypto with parameters of type Cipher
  Modifier
  Constructor
  Description
  ``
  `CipherInputStream(InputStream is, Cipher c)`
  Constructs a `CipherInputStream` from an `InputStream` and a `Cipher` object.
  ``
  `CipherOutputStream(OutputStream os, Cipher c)`
  Constructs a `CipherOutputStream` from an `OutputStream` and a `Cipher` object.
  ``
  `SealedObject(Serializable object, Cipher c)`
  Constructs a `SealedObject` from any `Serializable` object.